﻿/********************************************************
*                                                       *
*   Copyright (C) Microsoft. All rights reserved.       *
*                                                       *
********************************************************/

namespace MicrosoftResearch.Infer.Learners
{
    using System.IO;

    /// <summary>
    /// Interface to any object that needs to control its own binary serialization.
    /// </summary>
    public interface ICustomSerializable
    {
        /// <summary>
        /// Saves the state of the object to a binary writer.
        /// </summary>
        /// <param name="writer">The writer to save the state of the object to.</param>
        void SaveForwardCompatible(BinaryWriter writer);
    }
}