﻿/********************************************************
*                                                       *
*   Copyright (C) Microsoft. All rights reserved.       *
*                                                       *
********************************************************/

using MicrosoftResearch.Infer.Maths;
using System.Collections.Generic;
namespace MicrosoftResearch.Infer.Distributions.Automata
{
    /// <summary>
    /// Represents a transducer defined on pairs of lists.
    /// </summary>
    public class ListTransducer<TList, TElement,TElementDist> :
        Transducer<TList, TElement, TElementDist, ListManipulator<TList,TElement>, 
        ListAutomaton<TList, TElement, TElementDist>, ListTransducer<TList, TElement, TElementDist>>
               where TElementDist : class, IDistribution<TElement>, CanGetLogAverageOf<TElementDist>,
        SettableToProduct<TElementDist>, SettableToWeightedSumExact<TElementDist>, 
        SettableToPartialUniform<TElementDist>, Sampleable<TElement>, new()
        where TList: class, IList<TElement>, new()


    {
    }

    /// <summary>
    /// Represents a transducer defined on pairs of lists.
    /// </summary>
    public class ListTransducer<TElement, TElementDist> :
        Transducer<List<TElement>, TElement, TElementDist, ListManipulator<List<TElement>, TElement>,
        ListAutomaton<TElement, TElementDist>, ListTransducer<TElement, TElementDist>>
               where TElementDist : class, IDistribution<TElement>, CanGetLogAverageOf<TElementDist>,
        SettableToProduct<TElementDist>, SettableToWeightedSumExact<TElementDist>,
        SettableToPartialUniform<TElementDist>, Sampleable<TElement>, new()
    {
    }
}